Subject: RE: [Sipping] Re: draft-elwell-sipping-service-retargeting-00.txt

From: "Francois Audet" <[email-masked]>
Date: Fri, 21 Oct 2005 13:41:26 -0500

Yes, I beleive the approach Dave Oran is suggesting was presented like a
million
IETFs ago, and was nor received favorably because of what Dean is
describing.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Dean Willis
> Sent: Wednesday, October 19, 2005 08:11
> To: David R Oran
> Cc: sipping; Audet, Francois [SC100:9T51:EXCH]; Elwell, John; 
> Paul Kyzivat; Michael Hammer (mhammer)
> Subject: Re: [Sipping] Re: 
> draft-elwell-sipping-service-retargeting-00.txt
> 
> 
> On Wed, 2005-10-19 at 09:22 -0400, David R Oran wrote:
> 
> > What we don't have a way of saying is "I'm busy, go try this other
> > place".
> . . .
> > A third way is to in fact invent a new 3xx which means exactly "Try
> > this other place because I'm busy" (as opposed to moved 
> temporarily).
> > 
> > Why don't we just do the last of these? It's completely
> > straightforward to me.
> 
> At first glance, it sounds fine. But then people are going to 
> want to say "I'm busy to you because you're on my warn list, 
> please try this other contact " and "I'm busy because my QoS 
> is saturated, please try this other destination" and "I'm 
> busy because I'm in a meeting, but I could do text messaging 
> too" and a million other things. We can't just add a new 
> response code for every one of these.
> 
> There are some fundamental problems with intertwingling 
> applications that use SIP with the SIP protocol itself, and I 
> think that the path you're suggesting leads to continuances 
> of this layer violation model.
> 
> Of course, we could just accept that the application-protocol 
> layer is completely violated in the SIP model, and just make 
> the best of what we have. I suppose that is an alternative.
> 
> --
> Dean
> 
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments of core SIP
> 
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP